## CamelSasl

CamelSasl

## Synopsis

                        CamelSasl;
    GByteArray*         camel_sasl_challenge                (CamelSasl *sasl,
                                                             GByteArray *token,
                                                             CamelException *ex);
    char*               camel_sasl_challenge_base64         (CamelSasl *sasl,
                                                             const char *token,
                                                             CamelException *ex);
    gboolean            camel_sasl_authenticated            (CamelSasl *sasl);
    CamelSasl*          camel_sasl_new                      (const char *service_name,
                                                             const char *mechanism,
                                                             CamelService *service);
    GList*              camel_sasl_authtype_list            (gboolean include_plain);
    CamelServiceAuthType* camel_sasl_authtype               (const char *mechanism);

## Description

## Details

### CamelSasl

    typedef struct {
    	CamelObject parent_object;

    	char *service_name;
    	char *mech;		/* mechanism */
    	CamelService *service;
    	gboolean authenticated;
    } CamelSasl;

### camel_sasl_challenge ()

    GByteArray*         camel_sasl_challenge                (CamelSasl *sasl,
                                                             GByteArray *token,
                                                             CamelException *ex);

`sasl` : |
`token` : |
`ex` : |
Returns : |

### camel_sasl_challenge_base64 ()

    char*               camel_sasl_challenge_base64         (CamelSasl *sasl,
                                                             const char *token,
                                                             CamelException *ex);

`sasl` : |
`token` : |
`ex` : |
Returns : |

### camel_sasl_authenticated ()

    gboolean            camel_sasl_authenticated            (CamelSasl *sasl);

`sasl` : |
Returns : |

### camel_sasl_new ()

    CamelSasl*          camel_sasl_new                      (const char *service_name,
                                                             const char *mechanism,
                                                             CamelService *service);

`service_name` : |
`mechanism` : |
`service` : |
Returns : |

### camel_sasl_authtype_list ()

    GList*              camel_sasl_authtype_list            (gboolean include_plain);

`include_plain` : |
Returns : |

### camel_sasl_authtype ()

    CamelServiceAuthType* camel_sasl_authtype               (const char *mechanism);

`mechanism` : |
Returns : |